Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86064 - Kernel oops with very large number of software RAID arrays
Summary: Kernel oops with very large number of software RAID arrays
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-13 13:37 UTC by Andrew Rechenberg
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-31 00:59:37 UTC


Attachments (Terms of Use)
Patch to convert /proc/mdstat to use seq_file (deleted)
2003-03-13 13:41 UTC, Andrew Rechenberg
no flags Details | Diff

Description Andrew Rechenberg 2003-03-13 13:37:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
When using a large number of Linux software RAID arrays I receive a kernel 
OOPS.  With some help from users on the kernel mailing list and the linux-raid 
list we have determined that /proc/mdstat is overflowing it's 4k page and 
overwriting some other part of kernel memory causing the OOPS.

This problems appears to mainfest itself around 24-27 RAID1 arrays.  



Version-Release number of selected component (if applicable):
kernel-2.4.18-26.7.x

How reproducible:
Always

Steps to Reproduce:
1. Boot with 2.4.18-26.7.x
2. Create a large number of software RAID1 arrays.
3. Watch the kernel go bye-bye
    

Actual Results:  Kernel OOPS in do_try_to_free_pages

Expected Results:  No OOPS

Additional info:

Comment 1 Andrew Rechenberg 2003-03-13 13:41:00 UTC
Created attachment 90582 [details]
Patch to convert /proc/mdstat to use seq_file

The attached patch seems to resolve the OOPS I was seeing.  I currently have 52
SCSI disks in 26 RAID1 arrays and one RAID0 stripe across those.  It has been
running successfully on test hardware under load for approximately 24 hours

Comment 2 Andrew Rechenberg 2004-01-31 00:59:37 UTC
As an FYI, the 2.4.20-x series of errata kernels seem to have switched
to seq_file for md.  


Note You need to log in before you can comment on or make changes to this bug.